Bug 137999 - Problem with postinstall script setting up new kernel
Problem with postinstall script setting up new kernel
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: 138021 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-11-03 13:19 EST by Nathan G. Grennan
Modified: 2015-01-04 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-04 10:31:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2004-11-03 13:19:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Here is something I saw while upgrading a FC2 box to the test kernel. No
entry in /etc/grub.conf. Not initrd in /boot. Manually running "new-
kernel-pkg --mkinitrd --depmod --install 2.6.9-1.1_FC2" worked.

Running test transaction:
Test transaction complete, Success!
kernel 100 % done 1/5
Usage: new-kernel-pkg [-v] [--mkinitrd] [--rminitrd]
       [--initrdfile=<initrd-image>] [--depmod] [--rmmoddep]
       [--kernel-args=<args>] [--banner=<banner>]
       [--make-default] <--install | --remove> <kernel-version>
       (ex: new-kernel-pkg --mkinitrd --depmod --install 2.4.7-2)
tcpdump 100 % done 2/5
libpcap 100 % done 3/5
Completing update for tcpdump  - 4/5
Completing update for libpcap  - 5/5
Kernel Updated/Installed, checking for bootloader
Grub found - making this kernel the default
Installed:  kernel 2.6.9-1.1_FC2.i686
Updated:  tcpdump 14:3.8.2-6.FC2.1.i386 libpcap 14:0.8.3-6.FC2.1.i386
Transaction(s) Complete

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum -y update

Actual Results:  Kernel package is installed but not setup

Expected Results:  Kernel package is installed and is setup

Additional info:
Comment 1 Nathan G. Grennan 2004-11-03 13:36:47 EST
Same results on another box which did an automatic update via yum's
cron job.
Comment 2 Nathan G. Grennan 2004-11-03 13:55:48 EST
I ran "rpm -q --scripts -p kernel-2.6.9-1.1_FC2.i686.rpm" and found
the command below in the preinstall scriptlet. The --package kernel is
what causes the problem.

/sbin/new-kernel-pkg --package kernel --mkinitrd --depmod --install
Comment 3 Nathan G. Grennan 2004-11-03 13:58:32 EST
I ran "rpm -q mkinitrd" and it outputed "mkinitrd-3.5.22-1".
Comment 4 Dave Jones 2004-11-03 14:12:42 EST
yeah, that crept in by mistake.  I'll nuke it, and rebuild another test kernel.
You shouldnt need to update your mkinitrd.
Comment 5 Dave Jones 2004-11-03 17:03:16 EST
2.6.9-1.2_FC2 should have this fixed.
Comment 6 Dave Jones 2004-11-03 17:03:40 EST
*** Bug 138021 has been marked as a duplicate of this bug. ***
Comment 7 Nathan G. Grennan 2004-11-04 10:31:50 EST
Tested 2.6.9-1.2_FC2 and it works.

Note You need to log in before you can comment on or make changes to this bug.